#include<bits/stdc++.h>

#ifdef THEMIS
#include "testlib_themis.h"
const std::string TASK_NAME = "SHELVES";
#define _100 1.0
#define _50 0.5
#else
#include "testlib.h"
#define _100 100
#define _50 50
#endif // THEMIS

using namespace std;

#define nmax 100005
typedef long long ll;
int n, m;
ll a[nmax], b[nmax];
int ak, al, ok, ol;

void readInput() {
    m = inf.readInt();
    n = inf.readInt();
    a[0] = b[0] = 0;
    for (int i = 1; i <= m; i++) {
        a[i] = inf.readInt();
        a[i] += a[i - 1];
    }
    for (int i = 1; i <= n; i++) {
        b[i] = inf.readInt();
        b[i] += b[i - 1];
    }
}

void check() {
    readInput();
    ak = ans.readInt();
    al = ans.readInt();
    ok = ouf.readInt();
    ol = ouf.readInt();
    if (ok + ol < ak + al)
        quitf(_wa, "Số ngăn kéo mở đồng thời chưa tối ưu!");
    vector<pair<long long, int> > p;
    for (int i = 1; i <= ok; i++) {
        int j = ouf.readInt(1, m, "Ngăn kéo bên trái");
        p.push_back({a[j - 1], 1});
        p.push_back({a[j], -1});
    }
    for (int i = 1; i <= ol; i++) {
        int j = ouf.readInt(1, n, "Ngăn kéo bên phải");
        p.push_back({b[j - 1], 1});
        p.push_back({b[j], -1});
    }
    sort(p.begin(), p.end());
    int open = 0;
    for (auto x : p) {
        open += x.second;
        if (open < 0 || open > 1)
            quitf(_wa, "Có ngăn kéo không thể mở đồng thời!");
    }
    if (ok + ol > ak + al)
        quitf(_ok, "Ơ mây zing, gút chóp em. Em đúng là thiên tài đã đưa ra phương án tối ưu hơn đáp án!");
    else
        quitf(_ok, "Ơ mây zing, gút chóp em!");
}

int main(int argc,char *argv[]){
#ifdef THEMIS
    registerTestlibThemis(TASK_NAME + ".inp", TASK_NAME + ".out");
#else
    registerTestlibCmd(argc, argv);
#endif
    check();
    return 0;
}
